Vulnerability Name:

CVE-2018-1532

Assigned:2017-12-13
Published:2018-04-30
Updated:2018-06-29
Summary:IBM API Connect 5.0.0.0 through 5.0.8.2 does not properly update the SESSIONID with each request, which could allow a user to obtain the ID in further attacks against the system. IBM X-Force ID: 142430.
CVSS v3 Severity:4.3 Medium (CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N)
3.8 Low (Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): None
Availibility (A): None
4.3 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N)
3.8 Low (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): None
Availibility (A): None
CVSS v2 Severity:4.0 Medium (CVSS v2 Vector: AV:N/AC:L/Au:S/C:P/I:N/A:N)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): Partial
Integrity (I): None
Availibility (A): None
4.0 Medium (CCN CVSS v2 Vector: AV:N/AC:L/Au:S/C:P/I:N/A:N)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): Partial
Integrity (I): None
Availibility (A): None
Vulnerability Type:CWE-200
References:Source: CONFIRM
Type: VENDOR_ADVISORY
http://www.ibm.com/support/docview.wss?uid=swg22015978

Source: XF
Type: UNKNOWN
ibm-api-cve20181532-info-disc(142430)

Source: XF
Type: VENDOR_ADVISORY
ibm-api-cve20181532-info-disc(142430)

Vulnerable Configuration:
Configuration CCN 1:
  • cpe:/a:ibm:api_connect:5.0.1.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.0.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.2.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.5.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.6.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.6.1:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.6.2:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.7.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.7.1:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.3.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.4.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.7.2:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.6.3:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.6.4:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.8.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.8.1:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.6.5:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.6.6:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:api_connect:5.0.8.2:*:*:*:*:*:*:*

  • * Denotes that component is vulnerable
    BACK
    ibm api connect 5.0.1.0
    ibm api connect 5.0.0.0
    ibm api connect 5.0.2.0
    ibm api connect 5.0.5.0
    ibm api connect 5.0.6.0
    ibm api connect 5.0.6.1
    ibm api connect 5.0.6.2
    ibm api connect 5.0.7.0
    ibm api connect 5.0.7.1
    ibm api connect 5.0.3.0
    ibm api connect 5.0.4.0
    ibm api connect 5.0.7.2
    ibm api connect 5.0.6.3
    ibm api connect 5.0.6.4
    ibm api connect 5.0.8.0
    ibm api connect 5.0.8.1
    ibm api connect 5.0.6.5
    ibm api connect 5.0.6.6
    ibm api connect 5.0.8.2